# Uses of Class
org.apache.lucene.monitor.MonitorConfiguration

- ## Uses of MonitorConfiguration in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return MonitorConfiguration
  Modifier and Type
  Method
  Description
  `MonitorConfiguration`
  MonitorConfiguration.`setDirectoryProvider(IOSupplier<Directory> directoryProvider, MonitorQuerySerializer serializer)`
  `MonitorConfiguration`
  MonitorConfiguration.`setDirectoryProvider(IOSupplier<Directory> directoryProvider, MonitorQuerySerializer serializer, Boolean readOnly)`
  Sets a custom directory, with a custom serializer.
  `MonitorConfiguration`
  MonitorConfiguration.`setIndexPath(Path indexPath, MonitorQuerySerializer serializer)`
  `MonitorConfiguration`
  MonitorConfiguration.`setPurgeFrequency(long frequency, TimeUnit units)`
  Set the frequency with with the Monitor's querycache will be garbage-collected
  `MonitorConfiguration`
  MonitorConfiguration.`setQueryDecomposer(QueryDecomposer queryDecomposer)`
  Set the QueryDecomposer to be used by the Monitor
  `MonitorConfiguration`
  MonitorConfiguration.`setQueryUpdateBufferSize(int size)`
  Set how many queries will be buffered in memory before being committed to the queryindex
  Constructors in org.apache.lucene.monitor with parameters of type MonitorConfiguration
  Modifier
  Constructor
  Description
  ``
  `Monitor(Analyzer analyzer, MonitorConfiguration config)`
  Create a new Monitor instance with a specific configuration
  ``
  `Monitor(Analyzer analyzer, Presearcher presearcher, MonitorConfiguration configuration)`
  Create a new Monitor instance